r2937 - jhalfs/trunk/BLFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sun Aug 13 04:18:03 PDT 2006


Author: manuel
Date: 2006-08-13 05:18:03 -0600 (Sun, 13 Aug 2006)
New Revision: 2937

Added:
   jhalfs/trunk/BLFS/update_book.sh
Removed:
   jhalfs/trunk/BLFS/packages.sh
Log:
Renamed packages.sh to update_book.sh.

Deleted: jhalfs/trunk/BLFS/packages.sh
===================================================================
--- jhalfs/trunk/BLFS/packages.sh	2006-08-13 11:15:07 UTC (rev 2936)
+++ jhalfs/trunk/BLFS/packages.sh	2006-08-13 11:18:03 UTC (rev 2937)
@@ -1,92 +0,0 @@
-#!/bin/bash
-#
-# $Id$
-#
-set -e
-
-declare -r SVN="svn://svn.linuxfromscratch.org"
-
-BLFS_XML=$1  # Book directory
-DOC_MODE=$2  # Action to take, update or get
-TREE=$3      # SVN tree for the BLFS book version
-
-[[ -z $BLFS_XML ]] && BLFS_XML=blfs-xml
-[[ -z $DOC_MODE ]] && DOC_MODE=update
-[[ -z $TREE ]] && TREE=trunk/BOOK
-
-#---------------------
-# packages module
-source libs/func_packages
-[[ $? > 0 ]] && echo -e "\n\tERROR: func_packages did not load..\n" && exit
-
-#----------------------------#
-BOOK_Source() {              #
-#----------------------------#
-: <<inline_doc
-    function:   Retrieve or upate a copy of the BLFS book
-    input vars: $1 BLFS_XML book sources directory
-                $2 DOC_MODE action get/update
-                $3 TREE     SVN tree when $2=get
-    externals:  none
-    modifies:   $BLFS_XML directory tree
-    returns:    nothing
-    output:
-    on error:   exit
-    on success: text messages
-inline_doc
-
-  case $DOC_MODE in
-    update )
-      if [[ ! -d $BLFS_XML ]] ; then
-        echo -e "\n\t$BLFS_XML is not a directory\n"
-        exit 1
-      fi
-      if [[ ! -f $BLFS_XML/x/x.xml ]] ; then
-        echo -e "\n\tLooks like $BLFS_XML is not a BLFS book sources directory\n"
-        exit 1
-      fi
-
-      if [[ -d $BLFS_XML/.svn ]] ; then
-        echo -e "\n\tUpdating the $BLFS_XML book sources ...\n"
-        pushd $BLFS_XML 1> /dev/null
-          svn up
-        popd 1> /dev/null
-        echo -e "\n\tBook sources updated."
-      else
-        echo -e "\n\tLooks like $BLFS_XML is not a svn working copy."
-        echo -e "\tSkipping BLFS sources update.\n"
-      fi
-      ;;
-
-    get )
-      [[ ! -d $BLFS_XML ]] && mkdir -pv $BLFS_XML
-      svn co $SVN/BLFS/$TREE $BLFS_XML 2>&1
-      ;;
-    * )
-        echo -e "\n\tUnknown option ${DOC_MODE} ignored.\n"
-    ;;
-  esac
-}
-
-BOOK_Source
-
-echo -en "\n\tGenerating packages file ..."
-generate_packages
-echo "done."
-
-echo -en "\tGenerating gnome-core dependencies list ..."
-generate_gnome_core
-echo "done."
-
-echo -en "\tGenerating gnome-full dependencies list ..."
-generate_gnome_full
-echo "done."
-
-echo -en "\tGenerating kde-core dependencies list ..."
-generate_kde_core
-echo "done."
-
-echo -en "\tGenerating kde-full dependencies list ..."
-generate_kde_full
-echo -e "done.\n"
-

Copied: jhalfs/trunk/BLFS/update_book.sh (from rev 2936, jhalfs/trunk/BLFS/packages.sh)
===================================================================
--- jhalfs/trunk/BLFS/update_book.sh	                        (rev 0)
+++ jhalfs/trunk/BLFS/update_book.sh	2006-08-13 11:18:03 UTC (rev 2937)
@@ -0,0 +1,92 @@
+#!/bin/bash
+#
+# $Id$
+#
+set -e
+
+declare -r SVN="svn://svn.linuxfromscratch.org"
+
+BLFS_XML=$1  # Book directory
+DOC_MODE=$2  # Action to take, update or get
+TREE=$3      # SVN tree for the BLFS book version
+
+[[ -z $BLFS_XML ]] && BLFS_XML=blfs-xml
+[[ -z $DOC_MODE ]] && DOC_MODE=update
+[[ -z $TREE ]] && TREE=trunk/BOOK
+
+#---------------------
+# packages module
+source libs/func_packages
+[[ $? > 0 ]] && echo -e "\n\tERROR: func_packages did not load..\n" && exit
+
+#----------------------------#
+BOOK_Source() {              #
+#----------------------------#
+: <<inline_doc
+    function:   Retrieve or upate a copy of the BLFS book
+    input vars: $1 BLFS_XML book sources directory
+                $2 DOC_MODE action get/update
+                $3 TREE     SVN tree when $2=get
+    externals:  none
+    modifies:   $BLFS_XML directory tree
+    returns:    nothing
+    output:
+    on error:   exit
+    on success: text messages
+inline_doc
+
+  case $DOC_MODE in
+    update )
+      if [[ ! -d $BLFS_XML ]] ; then
+        echo -e "\n\t$BLFS_XML is not a directory\n"
+        exit 1
+      fi
+      if [[ ! -f $BLFS_XML/x/x.xml ]] ; then
+        echo -e "\n\tLooks like $BLFS_XML is not a BLFS book sources directory\n"
+        exit 1
+      fi
+
+      if [[ -d $BLFS_XML/.svn ]] ; then
+        echo -e "\n\tUpdating the $BLFS_XML book sources ...\n"
+        pushd $BLFS_XML 1> /dev/null
+          svn up
+        popd 1> /dev/null
+        echo -e "\n\tBook sources updated."
+      else
+        echo -e "\n\tLooks like $BLFS_XML is not a svn working copy."
+        echo -e "\tSkipping BLFS sources update.\n"
+      fi
+      ;;
+
+    get )
+      [[ ! -d $BLFS_XML ]] && mkdir -pv $BLFS_XML
+      svn co $SVN/BLFS/$TREE $BLFS_XML 2>&1
+      ;;
+    * )
+        echo -e "\n\tUnknown option ${DOC_MODE} ignored.\n"
+    ;;
+  esac
+}
+
+BOOK_Source
+
+echo -en "\n\tGenerating packages file ..."
+generate_packages
+echo "done."
+
+echo -en "\tGenerating gnome-core dependencies list ..."
+generate_gnome_core
+echo "done."
+
+echo -en "\tGenerating gnome-full dependencies list ..."
+generate_gnome_full
+echo "done."
+
+echo -en "\tGenerating kde-core dependencies list ..."
+generate_kde_core
+echo "done."
+
+echo -en "\tGenerating kde-full dependencies list ..."
+generate_kde_full
+echo -e "done.\n"
+




More information about the alfs-log mailing list